[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: version mess, help needed

Not an expert in apt management, so...

On Wed, Aug 04, 2004 at 11:56:05AM -0300, Roberto Winter wrote:
> Hi again,
> doesn't the output from "apt-cache policy" guarantee that (see my
> first message)?

I think it will *still* not downgrade a package that is already
installed.  Its primary purpose is for assisting in upgrades.
Downgrades are not really supported.

That said, I think if you ask for a specific version it will downgrade
packages as necessary (try with "-s" simulate switch first).

man apt-get for info on specifying particular versions (can search for
"downgrade" to get in the right part of the document).

I also understand that aptitude is much nicer for really trying to
control your installation, and is much smarter that apt-get in resolving
problems, but I'm still learning it, so I'm not sure if it would be
easier for this or not. (or synaptic for gtk based, since you may have a
broken curses system :)

> PS: Again, I am still not on the list, so I ask you to CC any answers to me
> too, thanks.

done.  You can also browse the list at http://lists.debian.org/debian-user


Chris Harris <charris@rtcmarketing.com>
GNU/Linux --- The best things in life are free.

Reply to: